/**
 *                                                                            
 *  Copyright (c) 2011, 2016 - Loetz GmbH&Co.KG (69115 Heidelberg, Germany) 
 *                                                                            
 *  All rights reserved. This program and the accompanying materials           
 *  are made available under the terms of the Eclipse Public License 2.0        
 *  which accompanies this distribution, and is available at                  
 *  https://www.eclipse.org/legal/epl-2.0/                                 
 *                                 
 *  SPDX-License-Identifier: EPL-2.0                                 
 *                                                                            
 *  Contributors:                                                      
 * 	   Christophe Loetz (Loetz GmbH&Co.KG) - initial implementation
 * 
 */
 package org.eclipse.osbp.ecview.core.extension.model.extension.provider;

import java.util.ArrayList;
import java.util.Collection;

import java.util.List;
import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.util.ResourceLocator;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.edit.command.CommandParameter;
import org.eclipse.emf.edit.domain.EditingDomain;
import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ChildCreationExtenderManager;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IChildCreationExtender;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import org.eclipse.osbp.ecview.core.common.model.core.CoreModelPackage;
import org.eclipse.osbp.ecview.core.common.model.core.YCommandSet;
import org.eclipse.osbp.ecview.core.common.model.core.YDialog;
import org.eclipse.osbp.ecview.core.common.model.core.YLayout;
import org.eclipse.osbp.ecview.core.common.model.core.YView;
import org.eclipse.osbp.ecview.core.common.model.core.util.CoreModelSwitch;
import org.eclipse.osbp.ecview.core.extension.model.datatypes.provider.ExtensionEditPlugin;
import org.eclipse.osbp.ecview.core.extension.model.extension.ExtensionModelFactory;
import org.eclipse.osbp.ecview.core.extension.model.extension.ExtensionModelPackage;
import org.eclipse.osbp.ecview.core.extension.model.extension.util.ExtensionModelAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class ExtensionModelItemProviderAdapterFactory extends ExtensionModelAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable, IChildCreationExtender {
	/**
	 * This keeps track of the root adapter factory that delegates to this adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ComposedAdapterFactory parentAdapterFactory;

	/**
	 * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IChangeNotifier changeNotifier = new ChangeNotifier();

	/**
	 * This helps manage the child creation extenders.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ChildCreationExtenderManager childCreationExtenderManager = new ChildCreationExtenderManager(ExtensionEditPlugin.INSTANCE, ExtensionModelPackage.eNS_URI);

	/**
	 * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Collection<Object> supportedTypes = new ArrayList<Object>();

	/**
	 * This constructs an instance.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtensionModelItemProviderAdapterFactory() {
		supportedTypes.add(IEditingDomainItemProvider.class);
		supportedTypes.add(IStructuredItemContentProvider.class);
		supportedTypes.add(ITreeItemContentProvider.class);
		supportedTypes.add(IItemLabelProvider.class);
		supportedTypes.add(IItemPropertySource.class);
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YGridLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YGridLayoutItemProvider yGridLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YGridLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYGridLayoutAdapter() {
		if (yGridLayoutItemProvider == null) {
			yGridLayoutItemProvider = new YGridLayoutItemProvider(this);
		}

		return yGridLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YGridLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YGridLayoutCellStyleItemProvider yGridLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YGridLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYGridLayoutCellStyleAdapter() {
		if (yGridLayoutCellStyleItemProvider == null) {
			yGridLayoutCellStyleItemProvider = new YGridLayoutCellStyleItemProvider(this);
		}

		return yGridLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YHorizontalLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YHorizontalLayoutItemProvider yHorizontalLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YHorizontalLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYHorizontalLayoutAdapter() {
		if (yHorizontalLayoutItemProvider == null) {
			yHorizontalLayoutItemProvider = new YHorizontalLayoutItemProvider(this);
		}

		return yHorizontalLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YHorizontalLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YHorizontalLayoutCellStyleItemProvider yHorizontalLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YHorizontalLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYHorizontalLayoutCellStyleAdapter() {
		if (yHorizontalLayoutCellStyleItemProvider == null) {
			yHorizontalLayoutCellStyleItemProvider = new YHorizontalLayoutCellStyleItemProvider(this);
		}

		return yHorizontalLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YVerticalLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YVerticalLayoutItemProvider yVerticalLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YVerticalLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYVerticalLayoutAdapter() {
		if (yVerticalLayoutItemProvider == null) {
			yVerticalLayoutItemProvider = new YVerticalLayoutItemProvider(this);
		}

		return yVerticalLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YVerticalLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YVerticalLayoutCellStyleItemProvider yVerticalLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YVerticalLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYVerticalLayoutCellStyleAdapter() {
		if (yVerticalLayoutCellStyleItemProvider == null) {
			yVerticalLayoutCellStyleItemProvider = new YVerticalLayoutCellStyleItemProvider(this);
		}

		return yVerticalLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSpanInfo} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSpanInfoItemProvider ySpanInfoItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSpanInfo}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSpanInfoAdapter() {
		if (ySpanInfoItemProvider == null) {
			ySpanInfoItemProvider = new YSpanInfoItemProvider(this);
		}

		return ySpanInfoItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTable} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTableItemProvider yTableItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTable}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTableAdapter() {
		if (yTableItemProvider == null) {
			yTableItemProvider = new YTableItemProvider(this);
		}

		return yTableItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YColumn} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YColumnItemProvider yColumnItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YColumn}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYColumnAdapter() {
		if (yColumnItemProvider == null) {
			yColumnItemProvider = new YColumnItemProvider(this);
		}

		return yColumnItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSortColumn} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSortColumnItemProvider ySortColumnItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSortColumn}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSortColumnAdapter() {
		if (ySortColumnItemProvider == null) {
			ySortColumnItemProvider = new YSortColumnItemProvider(this);
		}

		return ySortColumnItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTree} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTreeItemProvider yTreeItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTree}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTreeAdapter() {
		if (yTreeItemProvider == null) {
			yTreeItemProvider = new YTreeItemProvider(this);
		}

		return yTreeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YOptionsGroup} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YOptionsGroupItemProvider yOptionsGroupItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YOptionsGroup}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYOptionsGroupAdapter() {
		if (yOptionsGroupItemProvider == null) {
			yOptionsGroupItemProvider = new YOptionsGroupItemProvider(this);
		}

		return yOptionsGroupItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YList} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YListItemProvider yListItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YList}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYListAdapter() {
		if (yListItemProvider == null) {
			yListItemProvider = new YListItemProvider(this);
		}

		return yListItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YLabel} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YLabelItemProvider yLabelItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YLabel}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYLabelAdapter() {
		if (yLabelItemProvider == null) {
			yLabelItemProvider = new YLabelItemProvider(this);
		}

		return yLabelItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YImage} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YImageItemProvider yImageItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YImage}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYImageAdapter() {
		if (yImageItemProvider == null) {
			yImageItemProvider = new YImageItemProvider(this);
		}

		return yImageItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTextFieldItemProvider yTextFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTextFieldAdapter() {
		if (yTextFieldItemProvider == null) {
			yTextFieldItemProvider = new YTextFieldItemProvider(this);
		}

		return yTextFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBeanReferenceField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YBeanReferenceFieldItemProvider yBeanReferenceFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBeanReferenceField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYBeanReferenceFieldAdapter() {
		if (yBeanReferenceFieldItemProvider == null) {
			yBeanReferenceFieldItemProvider = new YBeanReferenceFieldItemProvider(this);
		}

		return yBeanReferenceFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextArea} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTextAreaItemProvider yTextAreaItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextArea}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTextAreaAdapter() {
		if (yTextAreaItemProvider == null) {
			yTextAreaItemProvider = new YTextAreaItemProvider(this);
		}

		return yTextAreaItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCheckBox} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YCheckBoxItemProvider yCheckBoxItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCheckBox}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYCheckBoxAdapter() {
		if (yCheckBoxItemProvider == null) {
			yCheckBoxItemProvider = new YCheckBoxItemProvider(this);
		}

		return yCheckBoxItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBrowser} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YBrowserItemProvider yBrowserItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBrowser}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYBrowserAdapter() {
		if (yBrowserItemProvider == null) {
			yBrowserItemProvider = new YBrowserItemProvider(this);
		}

		return yBrowserItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDateTime} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YDateTimeItemProvider yDateTimeItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDateTime}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYDateTimeAdapter() {
		if (yDateTimeItemProvider == null) {
			yDateTimeItemProvider = new YDateTimeItemProvider(this);
		}

		return yDateTimeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDecimalField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YDecimalFieldItemProvider yDecimalFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDecimalField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYDecimalFieldAdapter() {
		if (yDecimalFieldItemProvider == null) {
			yDecimalFieldItemProvider = new YDecimalFieldItemProvider(this);
		}

		return yDecimalFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YNumericField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YNumericFieldItemProvider yNumericFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YNumericField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYNumericFieldAdapter() {
		if (yNumericFieldItemProvider == null) {
			yNumericFieldItemProvider = new YNumericFieldItemProvider(this);
		}

		return yNumericFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YComboBox} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YComboBoxItemProvider yComboBoxItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YComboBox}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYComboBoxAdapter() {
		if (yComboBoxItemProvider == null) {
			yComboBoxItemProvider = new YComboBoxItemProvider(this);
		}

		return yComboBoxItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YButton} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YButtonItemProvider yButtonItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YButton}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYButtonAdapter() {
		if (yButtonItemProvider == null) {
			yButtonItemProvider = new YButtonItemProvider(this);
		}

		return yButtonItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSlider} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSliderItemProvider ySliderItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSlider}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSliderAdapter() {
		if (ySliderItemProvider == null) {
			ySliderItemProvider = new YSliderItemProvider(this);
		}

		return ySliderItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YToggleButton} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YToggleButtonItemProvider yToggleButtonItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YToggleButton}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYToggleButtonAdapter() {
		if (yToggleButtonItemProvider == null) {
			yToggleButtonItemProvider = new YToggleButtonItemProvider(this);
		}

		return yToggleButtonItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YProgressBar} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YProgressBarItemProvider yProgressBarItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YProgressBar}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYProgressBarAdapter() {
		if (yProgressBarItemProvider == null) {
			yProgressBarItemProvider = new YProgressBarItemProvider(this);
		}

		return yProgressBarItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTabSheet} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTabSheetItemProvider yTabSheetItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTabSheet}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTabSheetAdapter() {
		if (yTabSheetItemProvider == null) {
			yTabSheetItemProvider = new YTabSheetItemProvider(this);
		}

		return yTabSheetItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTab} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTabItemProvider yTabItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTab}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTabAdapter() {
		if (yTabItemProvider == null) {
			yTabItemProvider = new YTabItemProvider(this);
		}

		return yTabItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YMasterDetail} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YMasterDetailItemProvider yMasterDetailItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YMasterDetail}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYMasterDetailAdapter() {
		if (yMasterDetailItemProvider == null) {
			yMasterDetailItemProvider = new YMasterDetailItemProvider(this);
		}

		return yMasterDetailItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFormLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFormLayoutItemProvider yFormLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFormLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFormLayoutAdapter() {
		if (yFormLayoutItemProvider == null) {
			yFormLayoutItemProvider = new YFormLayoutItemProvider(this);
		}

		return yFormLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFormLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFormLayoutCellStyleItemProvider yFormLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFormLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFormLayoutCellStyleAdapter() {
		if (yFormLayoutCellStyleItemProvider == null) {
			yFormLayoutCellStyleItemProvider = new YFormLayoutCellStyleItemProvider(this);
		}

		return yFormLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextSearchField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YTextSearchFieldItemProvider yTextSearchFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YTextSearchField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYTextSearchFieldAdapter() {
		if (yTextSearchFieldItemProvider == null) {
			yTextSearchFieldItemProvider = new YTextSearchFieldItemProvider(this);
		}

		return yTextSearchFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBooleanSearchField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YBooleanSearchFieldItemProvider yBooleanSearchFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBooleanSearchField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYBooleanSearchFieldAdapter() {
		if (yBooleanSearchFieldItemProvider == null) {
			yBooleanSearchFieldItemProvider = new YBooleanSearchFieldItemProvider(this);
		}

		return yBooleanSearchFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YNumericSearchField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YNumericSearchFieldItemProvider yNumericSearchFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YNumericSearchField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYNumericSearchFieldAdapter() {
		if (yNumericSearchFieldItemProvider == null) {
			yNumericSearchFieldItemProvider = new YNumericSearchFieldItemProvider(this);
		}

		return yNumericSearchFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YReferenceSearchField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YReferenceSearchFieldItemProvider yReferenceSearchFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YReferenceSearchField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYReferenceSearchFieldAdapter() {
		if (yReferenceSearchFieldItemProvider == null) {
			yReferenceSearchFieldItemProvider = new YReferenceSearchFieldItemProvider(this);
		}

		return yReferenceSearchFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YPanel} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YPanelItemProvider yPanelItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YPanel}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYPanelAdapter() {
		if (yPanelItemProvider == null) {
			yPanelItemProvider = new YPanelItemProvider(this);
		}

		return yPanelItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSplitPanel} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSplitPanelItemProvider ySplitPanelItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSplitPanel}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSplitPanelAdapter() {
		if (ySplitPanelItemProvider == null) {
			ySplitPanelItemProvider = new YSplitPanelItemProvider(this);
		}

		return ySplitPanelItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSearchPanel} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSearchPanelItemProvider ySearchPanelItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSearchPanel}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSearchPanelAdapter() {
		if (ySearchPanelItemProvider == null) {
			ySearchPanelItemProvider = new YSearchPanelItemProvider(this);
		}

		return ySearchPanelItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumOptionsGroup} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YEnumOptionsGroupItemProvider yEnumOptionsGroupItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumOptionsGroup}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYEnumOptionsGroupAdapter() {
		if (yEnumOptionsGroupItemProvider == null) {
			yEnumOptionsGroupItemProvider = new YEnumOptionsGroupItemProvider(this);
		}

		return yEnumOptionsGroupItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumList} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YEnumListItemProvider yEnumListItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumList}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYEnumListAdapter() {
		if (yEnumListItemProvider == null) {
			yEnumListItemProvider = new YEnumListItemProvider(this);
		}

		return yEnumListItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumComboBox} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YEnumComboBoxItemProvider yEnumComboBoxItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YEnumComboBox}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYEnumComboBoxAdapter() {
		if (yEnumComboBoxItemProvider == null) {
			yEnumComboBoxItemProvider = new YEnumComboBoxItemProvider(this);
		}

		return yEnumComboBoxItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAddToTableCommand} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YAddToTableCommandItemProvider yAddToTableCommandItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAddToTableCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYAddToTableCommandAdapter() {
		if (yAddToTableCommandItemProvider == null) {
			yAddToTableCommandItemProvider = new YAddToTableCommandItemProvider(this);
		}

		return yAddToTableCommandItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YRemoveFromTableCommand} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YRemoveFromTableCommandItemProvider yRemoveFromTableCommandItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YRemoveFromTableCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYRemoveFromTableCommandAdapter() {
		if (yRemoveFromTableCommandItemProvider == null) {
			yRemoveFromTableCommandItemProvider = new YRemoveFromTableCommandItemProvider(this);
		}

		return yRemoveFromTableCommandItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBrowserStreamInput} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YBrowserStreamInputItemProvider yBrowserStreamInputItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YBrowserStreamInput}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYBrowserStreamInputAdapter() {
		if (yBrowserStreamInputItemProvider == null) {
			yBrowserStreamInputItemProvider = new YBrowserStreamInputItemProvider(this);
		}

		return yBrowserStreamInputItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSetNewBeanInstanceCommand} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSetNewBeanInstanceCommandItemProvider ySetNewBeanInstanceCommandItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSetNewBeanInstanceCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSetNewBeanInstanceCommandAdapter() {
		if (ySetNewBeanInstanceCommandItemProvider == null) {
			ySetNewBeanInstanceCommandItemProvider = new YSetNewBeanInstanceCommandItemProvider(this);
		}

		return ySetNewBeanInstanceCommandItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCssLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YCssLayoutItemProvider yCssLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCssLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYCssLayoutAdapter() {
		if (yCssLayoutItemProvider == null) {
			yCssLayoutItemProvider = new YCssLayoutItemProvider(this);
		}

		return yCssLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCssLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YCssLayoutCellStyleItemProvider yCssLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YCssLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYCssLayoutCellStyleAdapter() {
		if (yCssLayoutCellStyleItemProvider == null) {
			yCssLayoutCellStyleItemProvider = new YCssLayoutCellStyleItemProvider(this);
		}

		return yCssLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilter} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFilterItemProvider yFilterItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilter}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFilterAdapter() {
		if (yFilterItemProvider == null) {
			yFilterItemProvider = new YFilterItemProvider(this);
		}

		return yFilterItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAbsoluteLayout} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YAbsoluteLayoutItemProvider yAbsoluteLayoutItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAbsoluteLayout}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYAbsoluteLayoutAdapter() {
		if (yAbsoluteLayoutItemProvider == null) {
			yAbsoluteLayoutItemProvider = new YAbsoluteLayoutItemProvider(this);
		}

		return yAbsoluteLayoutItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAbsoluteLayoutCellStyle} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YAbsoluteLayoutCellStyleItemProvider yAbsoluteLayoutCellStyleItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YAbsoluteLayoutCellStyle}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYAbsoluteLayoutCellStyleAdapter() {
		if (yAbsoluteLayoutCellStyleItemProvider == null) {
			yAbsoluteLayoutCellStyleItemProvider = new YAbsoluteLayoutCellStyleItemProvider(this);
		}

		return yAbsoluteLayoutCellStyleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSuggestTextField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YSuggestTextFieldItemProvider ySuggestTextFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YSuggestTextField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYSuggestTextFieldAdapter() {
		if (ySuggestTextFieldItemProvider == null) {
			ySuggestTextFieldItemProvider = new YSuggestTextFieldItemProvider(this);
		}

		return ySuggestTextFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YPasswordField} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YPasswordFieldItemProvider yPasswordFieldItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YPasswordField}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYPasswordFieldAdapter() {
		if (yPasswordFieldItemProvider == null) {
			yPasswordFieldItemProvider = new YPasswordFieldItemProvider(this);
		}

		return yPasswordFieldItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilteringComponent} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFilteringComponentItemProvider yFilteringComponentItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilteringComponent}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFilteringComponentAdapter() {
		if (yFilteringComponentItemProvider == null) {
			yFilteringComponentItemProvider = new YFilteringComponentItemProvider(this);
		}

		return yFilteringComponentItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilterDescriptor} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFilterDescriptorItemProvider yFilterDescriptorItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilterDescriptor}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFilterDescriptorAdapter() {
		if (yFilterDescriptorItemProvider == null) {
			yFilterDescriptorItemProvider = new YFilterDescriptorItemProvider(this);
		}

		return yFilterDescriptorItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilterTableDescriptor} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YFilterTableDescriptorItemProvider yFilterTableDescriptorItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YFilterTableDescriptor}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYFilterTableDescriptorAdapter() {
		if (yFilterTableDescriptorItemProvider == null) {
			yFilterTableDescriptorItemProvider = new YFilterTableDescriptorItemProvider(this);
		}

		return yFilterTableDescriptorItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YKanban} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YKanbanItemProvider yKanbanItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YKanban}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYKanbanAdapter() {
		if (yKanbanItemProvider == null) {
			yKanbanItemProvider = new YKanbanItemProvider(this);
		}

		return yKanbanItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YKanbanVisibilityProcessor} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YKanbanVisibilityProcessorItemProvider yKanbanVisibilityProcessorItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YKanbanVisibilityProcessor}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYKanbanVisibilityProcessorAdapter() {
		if (yKanbanVisibilityProcessorItemProvider == null) {
			yKanbanVisibilityProcessorItemProvider = new YKanbanVisibilityProcessorItemProvider(this);
		}

		return yKanbanVisibilityProcessorItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDialogComponent} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected YDialogComponentItemProvider yDialogComponentItemProvider;

	/**
	 * This creates an adapter for a {@link org.eclipse.osbp.ecview.core.extension.model.extension.YDialogComponent}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createYDialogComponentAdapter() {
		if (yDialogComponentItemProvider == null) {
			yDialogComponentItemProvider = new YDialogComponentItemProvider(this);
		}

		return yDialogComponentItemProvider;
	}

	/**
	 * This returns the root adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeableAdapterFactory getRootAdapterFactory() {
		return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
	}

	/**
	 * This sets the composed adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory) {
		this.parentAdapterFactory = parentAdapterFactory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object type) {
		return supportedTypes.contains(type) || super.isFactoryForType(type);
	}

	/**
	 * This implementation substitutes the factory itself as the key for the adapter.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter adapt(Notifier notifier, Object type) {
		return super.adapt(notifier, this);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object adapt(Object object, Object type) {
		if (isFactoryForType(type)) {
			Object adapter = super.adapt(object, type);
			if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter))) {
				return adapter;
			}
		}

		return null;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<IChildCreationExtender> getChildCreationExtenders() {
		return childCreationExtenderManager.getChildCreationExtenders();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Collection<?> getNewChildDescriptors(Object object, EditingDomain editingDomain) {
		return childCreationExtenderManager.getNewChildDescriptors(object, editingDomain);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ResourceLocator getResourceLocator() {
		return childCreationExtenderManager;
	}

	/**
	 * This adds a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void addListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.addListener(notifyChangedListener);
	}

	/**
	 * This removes a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void removeListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.removeListener(notifyChangedListener);
	}

	/**
	 * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void fireNotifyChanged(Notification notification) {
		changeNotifier.fireNotifyChanged(notification);

		if (parentAdapterFactory != null) {
			parentAdapterFactory.fireNotifyChanged(notification);
		}
	}

	/**
	 * This disposes all of the item providers created by this factory. 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void dispose() {
		if (yGridLayoutItemProvider != null) yGridLayoutItemProvider.dispose();
		if (yGridLayoutCellStyleItemProvider != null) yGridLayoutCellStyleItemProvider.dispose();
		if (yHorizontalLayoutItemProvider != null) yHorizontalLayoutItemProvider.dispose();
		if (yHorizontalLayoutCellStyleItemProvider != null) yHorizontalLayoutCellStyleItemProvider.dispose();
		if (yVerticalLayoutItemProvider != null) yVerticalLayoutItemProvider.dispose();
		if (yVerticalLayoutCellStyleItemProvider != null) yVerticalLayoutCellStyleItemProvider.dispose();
		if (ySpanInfoItemProvider != null) ySpanInfoItemProvider.dispose();
		if (yTableItemProvider != null) yTableItemProvider.dispose();
		if (yColumnItemProvider != null) yColumnItemProvider.dispose();
		if (ySortColumnItemProvider != null) ySortColumnItemProvider.dispose();
		if (yTreeItemProvider != null) yTreeItemProvider.dispose();
		if (yOptionsGroupItemProvider != null) yOptionsGroupItemProvider.dispose();
		if (yListItemProvider != null) yListItemProvider.dispose();
		if (yLabelItemProvider != null) yLabelItemProvider.dispose();
		if (yImageItemProvider != null) yImageItemProvider.dispose();
		if (yTextFieldItemProvider != null) yTextFieldItemProvider.dispose();
		if (yBeanReferenceFieldItemProvider != null) yBeanReferenceFieldItemProvider.dispose();
		if (yTextAreaItemProvider != null) yTextAreaItemProvider.dispose();
		if (yCheckBoxItemProvider != null) yCheckBoxItemProvider.dispose();
		if (yBrowserItemProvider != null) yBrowserItemProvider.dispose();
		if (yDateTimeItemProvider != null) yDateTimeItemProvider.dispose();
		if (yDecimalFieldItemProvider != null) yDecimalFieldItemProvider.dispose();
		if (yNumericFieldItemProvider != null) yNumericFieldItemProvider.dispose();
		if (yComboBoxItemProvider != null) yComboBoxItemProvider.dispose();
		if (yButtonItemProvider != null) yButtonItemProvider.dispose();
		if (ySliderItemProvider != null) ySliderItemProvider.dispose();
		if (yToggleButtonItemProvider != null) yToggleButtonItemProvider.dispose();
		if (yProgressBarItemProvider != null) yProgressBarItemProvider.dispose();
		if (yTabSheetItemProvider != null) yTabSheetItemProvider.dispose();
		if (yTabItemProvider != null) yTabItemProvider.dispose();
		if (yMasterDetailItemProvider != null) yMasterDetailItemProvider.dispose();
		if (yFormLayoutItemProvider != null) yFormLayoutItemProvider.dispose();
		if (yFormLayoutCellStyleItemProvider != null) yFormLayoutCellStyleItemProvider.dispose();
		if (yTextSearchFieldItemProvider != null) yTextSearchFieldItemProvider.dispose();
		if (yBooleanSearchFieldItemProvider != null) yBooleanSearchFieldItemProvider.dispose();
		if (yNumericSearchFieldItemProvider != null) yNumericSearchFieldItemProvider.dispose();
		if (yReferenceSearchFieldItemProvider != null) yReferenceSearchFieldItemProvider.dispose();
		if (yPanelItemProvider != null) yPanelItemProvider.dispose();
		if (ySplitPanelItemProvider != null) ySplitPanelItemProvider.dispose();
		if (ySearchPanelItemProvider != null) ySearchPanelItemProvider.dispose();
		if (yEnumOptionsGroupItemProvider != null) yEnumOptionsGroupItemProvider.dispose();
		if (yEnumComboBoxItemProvider != null) yEnumComboBoxItemProvider.dispose();
		if (yEnumListItemProvider != null) yEnumListItemProvider.dispose();
		if (yAddToTableCommandItemProvider != null) yAddToTableCommandItemProvider.dispose();
		if (yRemoveFromTableCommandItemProvider != null) yRemoveFromTableCommandItemProvider.dispose();
		if (yBrowserStreamInputItemProvider != null) yBrowserStreamInputItemProvider.dispose();
		if (ySetNewBeanInstanceCommandItemProvider != null) ySetNewBeanInstanceCommandItemProvider.dispose();
		if (yCssLayoutItemProvider != null) yCssLayoutItemProvider.dispose();
		if (yCssLayoutCellStyleItemProvider != null) yCssLayoutCellStyleItemProvider.dispose();
		if (yFilterItemProvider != null) yFilterItemProvider.dispose();
		if (yAbsoluteLayoutItemProvider != null) yAbsoluteLayoutItemProvider.dispose();
		if (yAbsoluteLayoutCellStyleItemProvider != null) yAbsoluteLayoutCellStyleItemProvider.dispose();
		if (ySuggestTextFieldItemProvider != null) ySuggestTextFieldItemProvider.dispose();
		if (yPasswordFieldItemProvider != null) yPasswordFieldItemProvider.dispose();
		if (yFilteringComponentItemProvider != null) yFilteringComponentItemProvider.dispose();
		if (yFilterDescriptorItemProvider != null) yFilterDescriptorItemProvider.dispose();
		if (yFilterTableDescriptorItemProvider != null) yFilterTableDescriptorItemProvider.dispose();
		if (yKanbanItemProvider != null) yKanbanItemProvider.dispose();
		if (yKanbanVisibilityProcessorItemProvider != null) yKanbanVisibilityProcessorItemProvider.dispose();
		if (yDialogComponentItemProvider != null) yDialogComponentItemProvider.dispose();
	}

	/**
	 * A child creation extender for the {@link CoreModelPackage}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static class CoreModelChildCreationExtender implements IChildCreationExtender {
		/**
		 * The switch for creating child descriptors specific to each extended class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		protected static class CreationSwitch extends CoreModelSwitch<Object> {
			/**
			 * The child descriptors being populated.
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			protected List<Object> newChildDescriptors;

			/**
			 * The domain in which to create the children.
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			protected EditingDomain editingDomain;

			/**
			 * Creates the a switch for populating child descriptors in the given domain.
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			CreationSwitch(List<Object> newChildDescriptors, EditingDomain editingDomain) {
				this.newChildDescriptors = newChildDescriptors;
				this.editingDomain = editingDomain;
			}
			/**
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			@Override
			public Object caseYLayout(YLayout object) {
				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYGridLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYHorizontalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYVerticalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTable()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTree()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYLabel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYImage()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYBeanReferenceField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTextArea()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYCheckBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYBrowser()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYDateTime()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYDecimalField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYNumericField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYSlider()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYToggleButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYProgressBar()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTabSheet()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYMasterDetail()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYFormLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYTextSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYBooleanSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYNumericSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYReferenceSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYSplitPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYSearchPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYEnumOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYEnumComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYEnumList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYCssLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYAbsoluteLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYSuggestTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYPasswordField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYFilteringComponent()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YLAYOUT__ELEMENTS,
						 ExtensionModelFactory.eINSTANCE.createYKanban()));

				return null;
			}
 
			/**
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			@Override
			public Object caseYView(YView object) {
				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYGridLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYHorizontalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYVerticalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTable()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTree()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYLabel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYImage()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBeanReferenceField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextArea()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYCheckBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBrowser()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYDateTime()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYDecimalField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYNumericField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSlider()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYToggleButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYProgressBar()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTabSheet()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYMasterDetail()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYFormLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBooleanSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYNumericSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYReferenceSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSplitPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSearchPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYCssLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYAbsoluteLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSuggestTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYPasswordField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYFilteringComponent()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYKanban()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YVIEW__VISIBILITY_PROCESSORS,
						 ExtensionModelFactory.eINSTANCE.createYKanbanVisibilityProcessor()));

				return null;
			}
 
			/**
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			@Override
			public Object caseYDialog(YDialog object) {
				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYGridLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYHorizontalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYVerticalLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTable()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTree()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYLabel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYImage()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBeanReferenceField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextArea()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYCheckBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBrowser()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYDateTime()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYDecimalField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYNumericField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSlider()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYToggleButton()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYProgressBar()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTabSheet()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYMasterDetail()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYFormLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYTextSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYBooleanSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYNumericSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYReferenceSearchField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSplitPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSearchPanel()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumOptionsGroup()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumComboBox()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYEnumList()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYCssLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYAbsoluteLayout()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYSuggestTextField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYPasswordField()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYFilteringComponent()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YDIALOG__CONTENT,
						 ExtensionModelFactory.eINSTANCE.createYKanban()));

				return null;
			}
 
			/**
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			@Override
			public Object caseYCommandSet(YCommandSet object) {
				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YCOMMAND_SET__COMMANDS,
						 ExtensionModelFactory.eINSTANCE.createYAddToTableCommand()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YCOMMAND_SET__COMMANDS,
						 ExtensionModelFactory.eINSTANCE.createYRemoveFromTableCommand()));

				newChildDescriptors.add
					(createChildParameter
						(CoreModelPackage.Literals.YCOMMAND_SET__COMMANDS,
						 ExtensionModelFactory.eINSTANCE.createYSetNewBeanInstanceCommand()));

				return null;
			}
 
			/**
			 * <!-- begin-user-doc -->
			 * <!-- end-user-doc -->
			 * @generated
			 */
			protected CommandParameter createChildParameter(Object feature, Object child) {
				return new CommandParameter(null, feature, child);
			}

		}

		/**
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		public Collection<Object> getNewChildDescriptors(Object object, EditingDomain editingDomain) {
			ArrayList<Object> result = new ArrayList<Object>();
			new CreationSwitch(result, editingDomain).doSwitch((EObject)object);
			return result;
		}

		/**
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		public ResourceLocator getResourceLocator() {
			return ExtensionEditPlugin.INSTANCE;
		}
	}

}
